Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# boxed.hh File Reference

Boxed type C++ interface. More...

`#include <xfc/object.hh>`
`#include <glib-object.h>`
`#include <map>`
`#include <xfc/glib/inline/boxed.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Boxed
    A generic base class for GTK+ boxed objects. More...

## Detailed Description

Boxed type C++ interface.

Provides a base class for boxed types, such a Gdk::Color, G::Value, Gtk::TreeIter and Gtk::TreePath.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3